## org.eclipse.datatools.modelbase.sql.query
Interface PredicateIn

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Predicate, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

All Known Subinterfaces:
  PredicateInValueList, PredicateInValueRowSelect, PredicateInValueSelect

    public interface PredicateIn

extends Predicate

A representation of the model object 'SQL Predicate In'.

The following features are supported:

- `Not In`

See Also:
  `SQLQueryModelPackage.getPredicateIn()`

Method Summary
`boolean` `isNotIn()` Returns the value of the 'Not In' attribute.
`void` `setNotIn(boolean value)` Sets the value of the '`Not In`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition

`getCombinedLeft, getCombinedRight, getDeleteStatement, getMergeOnCondition, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setMergeOnCondition, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### isNotIn

    boolean isNotIn()

  Returns the value of the 'Not In' attribute.

  If the meaning of the 'Not In' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Not In' attribute.
  See Also:
    `setNotIn(boolean)`, `SQLQueryModelPackage.getPredicateIn_NotIn()`

### setNotIn

    void setNotIn(boolean value)

  Sets the value of the '`Not In`' attribute.

  Parameters:
    `value` - the new value of the 'Not In' attribute.
  See Also:
    `isNotIn()`